summaryrefslogtreecommitdiffstats
path: root/source/n/tcp_wrappers/tcp_wrappers.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/tcp_wrappers/tcp_wrappers.SlackBuild')
-rwxr-xr-xsource/n/tcp_wrappers/tcp_wrappers.SlackBuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/source/n/tcp_wrappers/tcp_wrappers.SlackBuild b/source/n/tcp_wrappers/tcp_wrappers.SlackBuild
new file mode 100755
index 000000000..a8cfbdcb9
--- /dev/null
+++ b/source/n/tcp_wrappers/tcp_wrappers.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+VERSION=7.6
+ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-tcp_wrappers
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf tcp_wrappers-$VERSION
+tar xvf $CWD/tcp_wrappers_$VERSION.tar.gz || exit 1
+cd tcp_wrappers-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+sh extract-and-patch.sh
+cd tcp_wrappers_$VERSION || exit 1
+make REAL_DAEMON_DIR=/usr/sbin linux
+strip tcpd safe_finger tcpdchk tcpdmatch try-from
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cat libwrap.a > $PKG/usr/lib${LIBDIRSUFFIX}/libwrap.a
+mkdir -p $PKG/usr/include
+cat tcpd.h > $PKG/usr/include/tcpd.h
+mkdir -p $PKG/usr/sbin
+cat safe_finger > $PKG/usr/sbin/safe_finger
+cat tcpd > $PKG/usr/sbin/tcpd
+cat tcpdchk > $PKG/usr/sbin/tcpdchk
+cat tcpdmatch > $PKG/usr/sbin/tcpdmatch
+cat try-from > $PKG/usr/sbin/try-from
+chmod 755 $PKG/usr/sbin/*
+mkdir -p $PKG/usr/man/man{3,5,8}
+cat hosts_access.3 | gzip -9c > $PKG/usr/man/man3/hosts_access.3.gz
+cat hosts_access.5 | gzip -9c > $PKG/usr/man/man5/hosts_access.5.gz
+cat hosts_options.5 | gzip -9c > $PKG/usr/man/man5/hosts_options.5.gz
+cat tcpd.8 | gzip -9c > $PKG/usr/man/man8/tcpd.8.gz
+cat tcpdchk.8 | gzip -9c > $PKG/usr/man/man8/tcpdchk.8.gz
+cat tcpdmatch.8 | gzip -9c > $PKG/usr/man/man8/tcpdmatch.8.gz
+
+mkdir -p $PKG/usr/doc/tcp_wrappers_$VERSION
+cp -a \
+ BLURB CHANGES DISCLAIMER README README.NIS \
+ $PKG/usr/doc/tcp_wrappers_$VERSION
+
+# Finish up the package:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/tcp_wrappers-$VERSION-$ARCH-$BUILD.txz
+